
From: "Martin J. Bligh" <mbligh@aracnet.com>

OK, this rediffed version of Mike's earlier patch fixes it - I guess it got
trampled in the merge.  All the ifdefs surrounding isplinux_release are a
bit odd, but I think I got 'em right.  Would be a damned sight easier if we
ripped out all that version crud.



 25-akpm/drivers/scsi/isp/isp_linux.c |    4 +---
 25-akpm/drivers/scsi/isp/isp_linux.h |    4 ----
 2 files changed, 1 insertion(+), 7 deletions(-)

diff -puN drivers/scsi/isp/isp_linux.c~linux-isp-2-fix-again drivers/scsi/isp/isp_linux.c
--- 25/drivers/scsi/isp/isp_linux.c~linux-isp-2-fix-again	Wed Jul  2 12:11:27 2003
+++ 25-akpm/drivers/scsi/isp/isp_linux.c	Wed Jul  2 12:11:27 2003
@@ -145,7 +145,6 @@ isplinux_detect(Scsi_Host_Template *tmpt
     return (rval);
 }
 
-#ifdef	MODULE
 /* io_request_lock *not* held here */
 int
 isplinux_release(struct Scsi_Host *host)
@@ -185,7 +184,6 @@ isplinux_release(struct Scsi_Host *host)
 	isp_kfree(FCPARAM(isp)->isp_dump_data, amt);
 	FCPARAM(isp)->isp_dump_data = 0;
     }
-#endif
 #if defined(CONFIG_PROC_FS) && LINUX_VERSION_CODE >= KERNEL_VERSION(2,4,0)
     /*
      * Undo any PROCFS stuff
@@ -193,8 +191,8 @@ isplinux_release(struct Scsi_Host *host)
     isplinux_undo_proc(isp);
 #endif
     return (1);
-}
 #endif
+}
 
 const char *
 isplinux_info(struct Scsi_Host *host)
diff -puN drivers/scsi/isp/isp_linux.h~linux-isp-2-fix-again drivers/scsi/isp/isp_linux.h
--- 25/drivers/scsi/isp/isp_linux.h~linux-isp-2-fix-again	Wed Jul  2 12:11:27 2003
+++ 25-akpm/drivers/scsi/isp/isp_linux.h	Wed Jul  2 12:11:27 2003
@@ -774,12 +774,8 @@ static INLINE unsigned long _usec_to_jif
 
 int isplinux_proc_info(char *, char **, off_t, int, int, int);
 int isplinux_detect(Scsi_Host_Template *);
-#ifdef	MODULE
 int isplinux_release(struct Scsi_Host *);
 #define	ISPLINUX_RELEASE	isplinux_release
-#else
-#define	ISPLINUX_RELEASE	NULL
-#endif
 const char *isplinux_info(struct Scsi_Host *);
 int isplinux_queuecommand(Scsi_Cmnd *, void (* done)(Scsi_Cmnd *));
 #if LINUX_VERSION_CODE < KERNEL_VERSION(2,5,0)

_
